# Flaschengeist (frontend)

Modular student club administration system, licensed under the MIT license.

## Installation

### Install the dependencies

```bash
yarn install
```

### Configure Plugins

You can activate and deactive Plugins in `src/boot/plugins.ts`.
You have to set the name of the Plugin into `config.loadModules`.

### Build the application

```bash
yarn quasar build
```

## Development

### Icons used

We are using the `mdi-v5` icon set, so feel free to use any icon from it.
A list can be found [here](https://materialdesignicons.com/)

### Commands useful for development

#### Start the app in development mode

Provides hot-code reloading, error reporting, etc.

```bash
yarn quasar dev
```

#### File linting

```bash
yarn run lint
```

### Plugins

#### Build a Plugin

A Flaschengeist-Frontend-Plugin should be placed in `src/plugins`.
It needs a `plugin.ts` File which exports a plugin with the following interface:

```
name: string;
mainRoutes?: PluginRouteConfig[];
outRoutes?: PluginRouteConfig[];
requiredModules: string[];
version: string;
```

You have to import `FG_Plugin` from `plugins.d.ts`.
