import { createPinia, Pinia } from 'pinia';
import { boot } from 'quasar/wrappers';
import { useMainStore } from 'src/stores';
import { ref } from 'vue';

export const pinia = ref<Pinia>();

export default boot(({ app }) => {
  pinia.value = createPinia();
  app.use(pinia.value);

  const store = useMainStore();
  void store.init();
});
