import { defineAsyncComponent } from 'vue';
import { innerRoutes, privateRoutes } from './routes';
import { FG_Plugin } from 'src/plugins';

const plugin: FG_Plugin.Plugin = {
  name: 'Schedule',
  innerRoutes,
  internalRoutes: privateRoutes,
  requiredModules: ['User'],
  requiredBackendModules: ['events'],
  version: '0.0.1',
  widgets: [
    {
      priority: 0,
      name: 'stats',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
