import { FG_Plugin } from 'src/plugins';
import { useMainStore } from 'src/stores';
import { computed } from 'vue';

const mainRoutes: FG_Plugin.MenuRoute[] = [
  {
    get title() {
      return computed(() => useMainStore().currentUser.display_name);
    },
    icon: 'mdi-account',
    permissions: ['user'],
    route: { path: 'user', name: 'user', redirect: { name: 'user-settings' } },
    children: [
      {
        title: 'Einstellungen',
        icon: 'mdi-account-edit',
        shortcut: true,
        permissions: ['user'],
        route: {
          path: 'settings',
          name: 'user-settings',
          component: () => import('../pages/Settings.vue'),
        },
      },
      {
        title: 'Admin',
        icon: 'mdi-cog',
        shortcut: false,
        permissions: ['users_edit_other'],
        route: {
          path: 'admin',
          name: 'admin-settings',
          component: () => import('../pages/AdminSettings.vue'),
        },
      },
    ],
  },
];

export default mainRoutes;
