import { useMainStore } from 'src/stores';

export function hasPermission(permission: string) {
  const store = useMainStore();
  return store.permissions.includes(permission);
}

export function hasPermissions(needed: string[]) {
  const store = useMainStore();
  return needed.every((value) => store.permissions.includes(value));
}

export function hasSomePermissions(needed: string[]) {
  const store = useMainStore();
  return needed.some((value) => store.permissions.includes(value));
}
